Draft FlipDimension: Difference between revisions

From FreeCAD Documentation
(Added Scripting)
(Updated Usage)
Line 29: Line 29:


<!--T:3-->
<!--T:3-->
# Select a [[Draft_Dimension|Draft Dimension]] object.
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
# Press the {{Button|[[Image:Draft_FlipDimension.png|16px]] [[Draft_FlipDimension|Flip Dimension]]}} button.
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Draft FlipDimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.


== Notes ==
<!--T:4-->
What this tool does internally is to invert the normal direction of the dimension, which is used to position the text.


<!--T:5-->
<!--T:5-->
[[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property which, when it is {{TRUE}}, rotates the text by 180 degrees around the normal direction. By combining these two features, flipping the normal direction and flipping the text, you are able to make the text appear correctly in all possible situations.
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.


== Scripting ==
== Scripting ==

Revision as of 08:45, 13 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft FlipDimension

Menu location
Modification → Flip dimension
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Dimension

Description

This tool flips the Draft Dimension text around the dimension line. It can be done to adjust the appearance of the dimension.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Draft FlipDimension button.
    • Select the Modification → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a DataFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()